package net.sf.saxon.instruct;

import net.sf.saxon.value.Value;
import net.sf.saxon.Controller;

import javax.xml.transform.TransformerException;

/**
 * A callable (XSLT or XQuery) function
 */

public interface CallableFunction {

    // TODO: ideally, use the same implementation class (FunctionInstr/UserFunction) for
    // both XSLT and XQuery functions. Meanwhile this interface hides the differences
    // between them

    public String getFunctionName();

    public Value call(Value[] actualArgs, Controller controller) throws TransformerException;

}
