package net.sf.saxon;

/**
 * Class containing utility methods for handling error messages
 */

public class Err {

    /**
     * Add delimiters to represent variable information within an error message
     * @param s the variable information to be delimited
     * @return the delimited variable information
     */
    public static String wrap(CharSequence cs) {
        String s = cs.toString();
        s = s.replace('\n', ' ');
        s = s.replace('\t', ' ');
        s = s.replace('\r', ' ');
        if (s.length() > 30) {
            s = s.substring(0, 30) + "...";
        }
        return "{" + s + "}";
    }

}
