package net.sf.saxon.sort;
import net.sf.saxon.om.NodeInfo;

/**
 * A Comparer used for comparing nodes in document order
 *
 * @author Michael H. Kay (michael.h.kay@ntlworld.com)
 *
 */

public interface NodeOrderComparer {

    /**
    * Compare two objects.
    * @return <0 if a<b, 0 if a=b, >0 if a>b
    */

    public int compare(NodeInfo a, NodeInfo b);

}
