package net.sf.saxon.type;

import javax.xml.transform.SourceLocator;

/**
 * This is a marker interface that acts as a surrogate for an object representing
 * a Schema. The real implementation of a W3C Schema is available in the schema-aware
 * version of the Saxon product.
 */
public interface SchemaMarker {

    public void error(String message, SourceLocator locator) throws SchemaException;

}
